'Your Base Game is incompatible with..." [SOLVED]

View previous topic View next topic Go down

'Your Base Game is incompatible with..." [SOLVED]

Post by trangoka on Mon 16 Jun 2014, 07:12

I tried to figure the problem myself but after 3 days of uninstalling and reinstalling 10 expansion packs (EPs) and 7 stuff packs (SPs), I have to ask somebody. This is rather long but please help me. 
Before, I had Island Paradise and almost all expansion packs and stuff packs (most of them from games4theworld) together with .package file custom contents. My game was working perfectly fine. Then I decided to get Into The Future (from here too). While installing, it required to update to patch 1.67, so I let the game update itself. Later, when I started my game, it said I have unofficial custom contents and crashed. I guessed some of my mods aren't compatible with patch 1.67 so I moved them to a different folder. Then I uninstalled and reinstalled everything. To be extra careful, I downloaded the manual patch 1.67 and update my game right after I installed my base game. This time, the game opened fine but when I loaded my saved game, it crashed. I tried to remove more mods that seemed to be the problem. Every time I had to reinstall everything but it still didn't work!
So I gave up on Into The Future and went back to Island Paradise. I used the manual patch 1.55 to update the base game. This is the same patch I used before so it should work this time. But when I installed Generations, it said : this expansion pack is not up to date with the version of the base game and the game will try to update itself later. This didn't happen before! But all the other EPs and SPs installed fine. Then, it said my base game is incompatible with the expansion pack and i should update via the launcher. (A little side note: I never open The Sims through the launcher, I have a shortcut for Downs Sims 3). And the launcher said my game is already up to date (much surprise  Facepalm ). Still, to please the game, I still updated with the manual patch 1.55 (I copied the original .dll and .exe file back to the ...\Game\Bin and everything). Still incompatible. I figured the Generations could be the problem so I downloaded the manual patch 1.22.9 for it too. I reinstalled all over again. This time, I installed the base game -> manual update patch 1.22.9 -> EPs to Generations -> manual update 1.55 -> EPs to Island Paradise -> all SPs (in their release order as well) -> the crack. The Generations stopped acting up but my game was still "not up to date"!!! 
I'm very frustrated by now. I repeated this reinstalling thing for more than 10 times already and I swear I can remember their order without looking at the list  Shocked . I don't know if my updating to 1.67 in the beginning was the start of all these problems. Can somebody tell me what I've done wrong?

trangoka
Beginner
Beginner

Posts : 3
Points : 1233
Reputation : 0
Join date : 2014-06-13

View user profile

Back to top Go down

Re: 'Your Base Game is incompatible with..." [SOLVED]

Post by The_gh0stm4n on Tue 17 Jun 2014, 13:25

trangoka wrote:I tried to figure the problem myself but after 3 days of uninstalling and reinstalling 10 expansion packs (EPs) and 7 stuff packs (SPs), I have to ask somebody. This is rather long but please help me. 
Before, I had Island Paradise and almost all expansion packs and stuff packs (most of them from games4theworld) together with .package file custom contents. My game was working perfectly fine. Then I decided to get Into The Future (from here too). While installing, it required to update to patch 1.67, so I let the game update itself. Later, when I started my game, it said I have unofficial custom contents and crashed. I guessed some of my mods aren't compatible with patch 1.67 so I moved them to a different folder. Then I uninstalled and reinstalled everything. To be extra careful, I downloaded the manual patch 1.67 and update my game right after I installed my base game. This time, the game opened fine but when I loaded my saved game, it crashed. I tried to remove more mods that seemed to be the problem. Every time I had to reinstall everything but it still didn't work!
So I gave up on Into The Future and went back to Island Paradise. I used the manual patch 1.55 to update the base game. This is the same patch I used before so it should work this time. But when I installed Generations, it said : this expansion pack is not up to date with the version of the base game and the game will try to update itself later. This didn't happen before! But all the other EPs and SPs installed fine. Then, it said my base game is incompatible with the expansion pack and i should update via the launcher. (A little side note: I never open The Sims through the launcher, I have a shortcut for Downs Sims 3). And the launcher said my game is already up to date (much surprise  Facepalm ). Still, to please the game, I still updated with the manual patch 1.55 (I copied the original .dll and .exe file back to the ...\Game\Bin and everything). Still incompatible. I figured the Generations could be the problem so I downloaded the manual patch 1.22.9 for it too. I reinstalled all over again. This time, I installed the base game -> manual update patch 1.22.9 -> EPs to Generations -> manual update 1.55 -> EPs to Island Paradise -> all SPs (in their release order as well) -> the crack. The Generations stopped acting up but my game was still "not up to date"!!! 
I'm very frustrated by now. I repeated this reinstalling thing for more than 10 times already and I swear I can remember their order without looking at the list  Shocked . I don't know if my updating to 1.67 in the beginning was the start of all these problems. Can somebody tell me what I've done wrong?

Hello,


First of all, un-installing and re-installing VERY RARELY solves problems. In fact, experience shows it will only make things worse, especially if you don't know how to do it right (i.e. re-booting the computer after the un-install and/or cleaning the registry).

Also, "downgrading" to an earlier patch is not a good idea either...there is nothing wrong with the latest patch. So for now, please re-do the steps from #2 to #4 here (please do the steps carefully):

http://games4theworld.bestgoo.com/t1171-must-read-how-to-install-the-sims-3-correctly



See if you can load your savegame after that, if not, please try re-downloading updated versions of ALL the mods you had, when the game still worked. There are some mods which you cannot simply "remove", once you use them in-game. You have to de-activate them properly in-game, and then you can remove them, but I'm not sure if that's the case with you.


Good luck !


 

_________________
Respectfully,

The_gh0stm4n
G4TW Forum Gatekeeper




avatar
The_gh0stm4n
VETERAN Moderator
Inspector General & Forum O.G.
VETERAN Moderator Inspector General & Forum O.G.

Windows version :
  • Windows 8
  • Windows 7
  • Windows XP
  • Windows 10

System architecture :
  • 32 bits (x86)
  • 64 bits (x64)

Favourite games : The Sims 3, L.A. Noire, Saints Row, Red Faction, Minecraft, Plants vs. Zombies: Garden Warfare, Titanfall, Team Fortress 2, Darkest Hour, GTA V, GTA: San Andreas, S.W.A.T. 4, Counter-Strike, Hitman, Borderlands, Fallout, Dishonored, Call of Duty, Battlefield, The Binding of Isaac: Afterbirth†, Enter the Gungeon.
Male Posts : 14462
Points : 19189
Reputation : 2037
Join date : 2012-11-02
Location : The Situation Room

View user profile

Back to top Go down

Re: 'Your Base Game is incompatible with..." [SOLVED]

Post by trangoka on Thu 19 Jun 2014, 09:51

I tried doing as you instructed, but when the saved game almost finished loading, it crashed. I used Nraas mods and Jonha sliders. Nraas updated their mods to the latest patch but Jonha didn't, so I had to left Jonha's out because if I kept them, it would show the "unofficial custom content" thingy. Could that be the problem?

trangoka
Beginner
Beginner

Posts : 3
Points : 1233
Reputation : 0
Join date : 2014-06-13

View user profile

Back to top Go down

Re: 'Your Base Game is incompatible with..." [SOLVED]

Post by The_gh0stm4n on Thu 19 Jun 2014, 23:10

trangoka wrote:I tried doing as you instructed, but when the saved game almost finished loading, it crashed. I used Nraas mods and Jonha sliders. Nraas updated their mods to the latest patch but Jonha didn't, so I had to left Jonha's out because if I kept them, it would show the "unofficial custom content" thingy. Could that be the problem?

Theoretically, yes, sure. Every incompatible mod/CC item can cause issues. Are you having issues when you start a completely fresh savegame too, or do you only have problems with your current save ?

_________________
Respectfully,

The_gh0stm4n
G4TW Forum Gatekeeper




avatar
The_gh0stm4n
VETERAN Moderator
Inspector General & Forum O.G.
VETERAN Moderator Inspector General & Forum O.G.

Windows version :
  • Windows 8
  • Windows 7
  • Windows XP
  • Windows 10

System architecture :
  • 32 bits (x86)
  • 64 bits (x64)

Favourite games : The Sims 3, L.A. Noire, Saints Row, Red Faction, Minecraft, Plants vs. Zombies: Garden Warfare, Titanfall, Team Fortress 2, Darkest Hour, GTA V, GTA: San Andreas, S.W.A.T. 4, Counter-Strike, Hitman, Borderlands, Fallout, Dishonored, Call of Duty, Battlefield, The Binding of Isaac: Afterbirth†, Enter the Gungeon.
Male Posts : 14462
Points : 19189
Reputation : 2037
Join date : 2012-11-02
Location : The Situation Room

View user profile

Back to top Go down

Re: 'Your Base Game is incompatible with..." [SOLVED]

Post by trangoka on Fri 20 Jun 2014, 02:22

Carlos wrote:
trangoka wrote:I tried doing as you instructed, but when the saved game almost finished loading, it crashed. I used Nraas mods and Jonha sliders. Nraas updated their mods to the latest patch but Jonha didn't, so I had to left Jonha's out because if I kept them, it would show the "unofficial custom content" thingy. Could that be the problem?

Theoretically, yes, sure. Every incompatible mod/CC item can cause issues. Are you having issues when you start a completely fresh savegame too, or do you only have problems with your current save ?
So I moved the whole Packages folder to another place and started a new game, it worked like a dream... Then I quit the game, moved my Packages folder back and reloaded my saved games, they ran fine  Very Happy , both the one I just started and the one I was trying to load. Thank you so much Carlos for helping me by replying to my post. Honestly, I still don't know why it worked  scratch , I'm just happy that it did  lol! .



Mod edit: problem solved, topic closed. Smile

- Carlos

trangoka
Beginner
Beginner

Posts : 3
Points : 1233
Reputation : 0
Join date : 2014-06-13

View user profile

Back to top Go down

View previous topic View next topic Back to top


Permissions in this forum:
You cannot reply to topics in this forum